<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>502B.40</title>
</head>
<body>
    <script>
        var colors = ["Xanh", "Đỏ", "Tím", "Vàng", "Hồng", "Nâu", "Đen", "Trắng"];

        var [a, b, c, ...d] = colors;

        console.log(a);        
        console.log(b);        
        console.log(c);        
        console.log(d);    
        
        var object = {
            key1: "value1",
            key2: {
                key21: "value21",
                key22: "value22"
            }
        }

        var { key2: { key21 } } = object;
        console.log(key21);

    </script>
</body>
</html>